package com.kcim.service;

import com.kcim.dao.model.Space;
import com.kcim.vo.CodeAndNameVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @program: CostAccount
 * @description: 空间成本接口
 * @author: Wang.YS
 * @create: 2023-11-07 20:42
 **/
public interface SpaceService {
    Object getSpaceCostList(String name, Integer type);

    void addSpaceCost(Space request);

    void editSpaceCost(Space request);

    void deleteSpaceCost(Integer id);

    Object exportSpaceCost(HttpServletResponse response);

    void importSpaceCost(MultipartFile file);

    List<CodeAndNameVO> getItemDict();
}
